Package com.sun.jna.platform.win32.COM.util

# Class EnumMoniker

java.lang.Object
com.sun.jna.platform.win32.COM.util.EnumMoniker

All Implemented Interfaces:
  `Iterable<IDispatch>`

public class EnumMoniker extends Object implements Iterable<IDispatch>
Enumerates the components of a moniker or the monikers in a table of monikers.

See Also:
  - MSDN

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) ObjectFactory`
  `factory`
  `(package private) IEnumMoniker`
  `raw`
  `(package private) Moniker`
  `rawNext`
  `(package private) IRunningObjectTable`
  `rawRot`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EnumMoniker(IEnumMoniker raw, IRunningObjectTable rawRot, ObjectFactory factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cacheNext()`
  `Iterator<IDispatch>`
  `iterator()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### factory

    ObjectFactory factory

  - ### rawRot

    IRunningObjectTable rawRot

  - ### raw

    IEnumMoniker raw

  - ### rawNext

    Moniker rawNext

- ## Constructor Details

  - ### EnumMoniker

    protected EnumMoniker(IEnumMoniker raw, IRunningObjectTable rawRot, ObjectFactory factory)

- ## Method Details

  - ### cacheNext

    protected void cacheNext()

  - ### iterator

    public Iterator<IDispatch> iterator()
    Specified by:
      `iterator` in interface `Iterable<IDispatch>`